Package pyhsm :: Module aead_cmd :: Class YHSM_Cmd_AEAD_Generate

[frames] | no frames]

# Class YHSM_Cmd_AEAD_Generate

    cmd.YHSM_Cmd --+
                   |
       YHSM_AEAD_Cmd --+
                       |
                      YHSM_Cmd_AEAD_Generate

Generate AEAD block from data for a specific key.

`data' is either a string, or a YHSM_YubiKeySecret.

Instance Methods

__init__(self, stick, nonce, key_handle, data) The base class for all YSM_ commands. |

Inherited from `YHSM_AEAD_Cmd`: `__repr__`, `parse_result` Inherited from `cmd.YHSM_Cmd`: `execute`

Class Variables
Inherited from `YHSM_AEAD_Cmd`: `key_handle`, `nonce`, `response`, `status` Inherited from `cmd.YHSM_Cmd`: `executed`, `response_status`

Method Details

### __init__(self, stick, nonce, key_handle, data)
(Constructor)

The base class for all YSM_ commands.

Parameters:
  - `stick` - Reference to a YubiHSM
  - `command` - The YSM_xxx command defined in pyhsm.defines.
  - `payload` - a packed C struct, represented as a Python string
Overrides: cmd.YHSM_Cmd.__init__
  (inherited documentation)